using CarbonService.Models;
using CarbonLib.Carbon.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarbonLib.Carbon
{
    public interface ICarbonCalculation
    {
        string Validate(CarbonRequest farmInput);
        CarbonRequest MapFarmMapsToMiterra(FarmMapsCarbonRequest farmInput);
        CarbonSummary Calculate(CarbonRequest farmInput);
        CarbonSummary CalculateClimateScenario(CarbonRequest farmInput);
        double? GetCropYield(string cropCode, int year, int postalCode);
    }
}
